---
-- NAVYGROUP: Steam Into Wind
-- 
-- This example shows how you let a group steam into the wind for a certain amount of time.
-- 
-- Naval group "USS Stennis Group" has two waypoint set in the Mission Editor. Mission starts at 0800 hours.
-- 
-- * At 0815 hours, the group will start to steam into the wind until 0830.
-- * Each time after reaching waypoint 2, the group will again steam into the wind.
-- * Each time after reaching waypoint 1, the group will steam into the wind.
---

-- Create a NAVYGROUP object.
local navygroup=NAVYGROUP:New("CVN CVBG")
navygroup:Activate()

-- Mark waypoints on F10 map. The marks will be removed after 60 seconds.


-- Set some parameters.
navygroup:SwitchTACAN(75, "ABE")
navygroup:SwitchICLS(20, "ABE")
navygroup:SwitchRadio(127.5)
navygroup:SwitchAlarmstate(ENUMS.AlarmState.Red)
navygroup:SwitchROE(ENUMS.ROE.WeaponFree)

-- Group will turn into the wind at 8:15 hours until 8:30. Wind on deck is 15 knots. Afterwards, the group will return to the position where the turn started and go to the next waypoint.
navygroup:AddTurnIntoWind("1:00", "24:59", 33)

